<?php
/**
 * Pinterest Stream Form Page
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

$pinterest_stream = get_option( 'pinterest_stream' );
if ( $pinterest_stream ) {
	$pinterest_user_id = $pinterest_stream['user_id'] ? $pinterest_stream['user_id'] : '';
	$board_name        = $pinterest_stream['board_name'] ? $pinterest_stream['board_name'] : '';
} else {
	$pinterest_user_id = '';
	$board_name        = '';
}

?>
<div class="inside">
	<h2>
	<?php
	echo esc_html( 'Pinterest Stream ' );
	esc_html_e( 'Settings', 'social-stream-designer' );
	?>
	</h2>
	<table class="form-table">
		<tbody>
			<tr>
				<td><?php echo esc_html( 'Pinterest User ID' ); ?></td>
				<td>
					<input type="text" id="user_id" required='required' class="user_id" name="pinterest_stream[user_id]" value="<?php echo esc_attr( $pinterest_user_id ); ?>">
					<p class="description" id="facebook-id-description"><?php esc_html_e( 'If your profile page URL is structured like this: https://in.pinterest.com/user1235 then the User ID is actually the number at the end, so in this case user1235.', 'social-stream-designer' ); ?></p>
				</td>
			</tr>
			<tr>
				<td><?php echo esc_html( 'Pinterest Board Name' ); ?></td>
				<td>
					<input type="text" id="board_name" required='required' class="board_name" name="pinterest_stream[board_name]" value="<?php echo esc_attr( $board_name ); ?>">
				</td>
			</tr>
			<tr>
				<td><?php submit_button(); ?></td>
			</tr>
		</tbody>
	</table>
</div>
