<?php
/**
 * Vimeo Stream Form Page
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

$vimeo_stream = get_option( 'vimeo_stream' );
if ( $vimeo_stream ) {
	$vimeo_client_id   = $vimeo_stream['client_id'] ? $vimeo_stream['client_id'] : '';
	$vimeo_secrets_key = $vimeo_stream['secrets_key'] ? $vimeo_stream['secrets_key'] : '';
} else {
	$vimeo_client_id   = '';
	$vimeo_secrets_key = '';
}
?>
<div class="inside">
	<h2>
	<?php
	echo esc_html( 'Vimeo Stream ' );
	esc_html_e( 'Settings', 'social-stream-designer' );
	?>
	</h2>
	<table class="form-table">
		<tbody>
			<tr>
				<td><?php echo esc_html( 'Vimeo Client ID' ); ?></td>
				<td>
					<input type="text" id="client_id" required='required' class="client_id" name="vimeo_stream[client_id]" value="<?php echo esc_attr( $vimeo_client_id ); ?>">
					<p class="description" ><?php esc_html_e( "To get your own 'Vimeo Client ID' and 'Vimeo Secret Key' you can follow these", 'social-stream-designer' ); ?> <a href="https://socialstreamdesigner.solwininfotech.com/docs/how-to-get-vimeo-client-id-and-client-secrets/" target='_blank'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a></p>
				</td>
			</tr>
			<tr>
				<td><?php echo esc_html( 'Vimeo Secret Key' ); ?></td>
				<td>
					<input type="text" id="secrets_key" required='required' class="secrets_key" name="vimeo_stream[secrets_key]" value="<?php echo esc_attr( $vimeo_secrets_key ); ?>">
				</td>
			</tr>
			<tr>
				<td><?php submit_button(); ?></td>
			</tr>
		</tbody>
	</table>
</div>
