<?php
/**
 * Plugin Name: WP Social Stream Designer PRO
 * Plugin URI: www.persianscript.ir
 * Description: To create and design social streams in more pretty, attractive and colorful way.
 * Author: پرشین اسکریپت
 * Author URI: www.persianscript.ir
 * Copyright: Solwin Infotech
 * Version: 1.1.5
 * Requires at least: 5.0
 * Tested up to: 5.8
 * License: GPLv2 or later
 *
 * @package WP Social Stream Designer PRO
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
define( 'SOCIALSTREAMDESIGNER_DIR', plugin_dir_path( __FILE__ ) );
define( 'SOCIALSTREAMDESIGNER_URL', plugins_url() . '/social-stream-designer' );
register_activation_hook( __FILE__, 'ssdesigner_shortcodes_tables' );
add_action( 'wp_head', 'ssdesigner_shortcodes_tables' );
add_action( 'admin_head', 'ssdesigner_shortcodes_tables' );
if ( ! class_exists( 'WP_List_Table' ) ) {
	require_once ABSPATH . 'wp-admin/includes/class-wp-list-table.php';
}
/**
 * Create table 'ssd_shortcodes' when plugin activated
 *
 * @global object $wpdb
 */
function ssdesigner_shortcodes_tables() {
	if ( ! function_exists( 'is_plugin_active' ) ) {
     	require_once( ABSPATH . '/wp-admin/includes/plugin.php' );
	}
	// Deactive lite version plugin when pro is actived
	if ( is_plugin_active( 'social-stream-design/social-stream-design.php' ) ) {
		deactivate_plugins( '/social-stream-design/social-stream-design.php' );
	}
	include_once ABSPATH . 'wp-admin/includes/upgrade.php';
	global $wpdb;
						$plugin_data     = get_plugin_data( WP_PLUGIN_DIR . '/social-stream-designer/social-stream-designer.php', $markup = true, $translate = true );
						$current_version = $plugin_data['Version'];
	if ( ! empty( $wpdb->charset ) ) {
		$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
	}
	if ( ! empty( $wpdb->collate ) ) {
			$charset_collate .= " COLLATE $wpdb->collate";
	}
					$shortcode_table_name = $wpdb->prefix . 'ssd_shortcodes';
	if ( $wpdb->get_var( "SHOW TABLES LIKE '" . $shortcode_table_name . "'" ) != $shortcode_table_name ) {
		$sql = "CREATE TABLE $shortcode_table_name (ID int(9) NOT NULL AUTO_INCREMENT,shortcode_name tinytext NOT NULL,social_stream_name text NOT NULL,social_stream_settings text NOT NULL,UNIQUE KEY ID (ID)) $charset_collate;";
		dbDelta( $sql );
	}
					$feeds_table_name = $wpdb->prefix . 'ssd_feeds';
	if ( $wpdb->get_var( "SHOW TABLES LIKE '" . $feeds_table_name . "'" ) != $feeds_table_name ) {
		$sql = "CREATE TABLE $feeds_table_name (id int(9) NOT NULL AUTO_INCREMENT,feeds_settings text NOT NULL,refresh_feed_date DATETIME NOT NULL,PRIMARY KEY (id)) $charset_collate;";
		dbDelta( $sql );
	}
	$feeds_post_table_name = $wpdb->prefix . 'ssd_feed_posts';
	if ( $wpdb->get_var( "SHOW TABLES LIKE '" . $feeds_post_table_name . "'" ) != $feeds_post_table_name ) {
		$sql = "CREATE TABLE $feeds_post_table_name (feed_id int(11) NOT NULL,feed_type varchar(80) NULL,unique_id varchar(200) NULL,post_title text NULL,post_description blob,post_date datetime NULL,post_link varchar(200) NULL,type_in varchar(200) NULL,post_image varchar(1000) NULL,post_video varchar(1000) NULL,post_retweet_count int(11) NULL,post_comment_id varchar(100) NULL,post_comment_count int(11) NULL,post_favorite_count int(11) NULL,post_plays_count int(11) NULL,post_likes_count int(11) NULL,post_dislikes_count int(11) NULL,reply_to_link varchar(255) NULL,retweet_link varchar(255) NULL,favourite_link varchar(255) NULL,like_link varchar(255) NULL,play_link varchar(255) NULL,post_language varchar(30) NULL,post_user_name varchar(200) NULL,post_user_screen_name varchar(200) NULL,post_user_location varchar(200) NULL,post_user_description text NULL,post_user_link varchar(200) NULL,post_user_image LONGTEXT NULL,post_user_followers_count int(11) NULL,post_user_friends_count int(11) NULL,post_refresh_date datetime) $charset_collate;";
		dbDelta( $sql );
	}
	$upload_dir = WP_CONTENT_DIR . '/uploads/social-stream/';
	if ( ! is_dir( $upload_dir ) ) {
		mkdir( $upload_dir, 0777 );
	}
	if ( $wpdb->get_var( 'SHOW COLUMNS FROM ' . $feeds_post_table_name . " LIKE 'post_status'" ) != 'post_status' ) {
		$sql = "ALTER TABLE $feeds_post_table_name ADD `post_status` VARCHAR(3) NULL AFTER `post_refresh_date`, ADD `moderate` VARCHAR(3) NULL AFTER `post_status`";
		$wpdb->query( $sql );
		$sql = "ALTER TABLE $feeds_post_table_name CHANGE `post_description` `post_description` BLOB NULL DEFAULT NULL";
		$wpdb->query( $sql );
	}
	if ( $wpdb->get_var( 'SHOW COLUMNS FROM ' . $feeds_post_table_name . " LIKE 'post_comment_id'" ) != 'post_comment_id' ) {
		$sql = "ALTER TABLE $feeds_post_table_name ADD `post_comment_id` varchar(100) NULL AFTER `post_retweet_count`";
		$wpdb->query( $sql );
	}
	if ( $wpdb->get_var( 'SHOW COLUMNS FROM ' . $feeds_post_table_name . " LIKE 'post_user_image'" ) == 'post_user_image' ) {
		$sql = "ALTER TABLE $feeds_post_table_name MODIFY `post_user_image` LONGTEXT NULL";
		$wpdb->query( $sql );
	}
					update_option( 'ssd_version', $current_version );
}

require_once SOCIALSTREAMDESIGNER_DIR . 'admin/assets/feeds/TwitterAPIExchange.php';
require_once 'admin/assets/class-shortcode-list-table.php';
require_once 'admin/assets/class-feed-list-table.php';
require_once 'admin/assets/class-ssdfeedsactions.php';
require_once 'admin/assets/class-ssdlayoutsactions.php';
require_once 'admin/assets/class-ssd-support.php';
require_once 'admin/assets/class-social-stream-designer-widget.php';
require_once 'include/feeds/class-ssdfrontfeeds.php';
require_once 'include/class-social-stream-main.php';
require_once 'class-socialstream.php';

